body {
    font-family: 'Outfit', sans-serif;
    background-image: url(../imagens/fundo-site.png);
    background-repeat: no-repeat;
    background-size: cover; /*Aumenta a imagem para cobrir todo o body */
    min-height: 100vh;
}

.cabecalho {    
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px; /* colocar espaçamento entre elementos título da imagem*/
    padding-top: 50px;
}

.cabecalho .titulo {
    color: #f1ecff;
}

.cabecalho .pokebola {
    width: 25px;
    height: 25px;
}

.pokemon-slider {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 80px;
    margin: 60px 0;
}

.lista-pokemons {
    width: 310px;
    height: 520px;
    position:relative;    
}

.btn-seta {
    background-color: #f1ecff;
    width: 70px;
    height: 70px;
    border-radius: 50px; /* Arredonda o botão */
    border: 0; /* Tira a borda do botão*/
    cursor: pointer; /*Deixa o propusor do mose em formato de mão*/
    transition: background-color 0.2s ease-in-out;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px; /*Sombra adicionada na caixa*/
}

.btn-seta.btn-voltar {
    transform: rotateY(180deg); /*Rotaciona o botão da seta para ficar ao contrario */
}

.btn-seta:hover {
    background-color: #8351fe;
}

.cartao { 
    opacity: 0;
    background-color: #8351fe;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between; /*Espaço entre os elementos*/
    position: absolute;
    padding: 12px;
    border-radius: 10px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    transition: opacity 0.3s ease-in-out;
}

.cartao.selecionado {
    opacity: 1;
    z-index: 1; /*Eixo de profundidade forçando ficar para frente*/
}

.fundo-1 {
    background: url(../imagens/fundo-card-1.jpg) no-repeat;
}

.fundo-2 {
    background: url(../imagens/fundo-card-2.jpg) no-repeat;
}

.fundo-3 {
    background: url(../imagens/fundo-card-3.jpg) no-repeat;
}

.cartao .informacoes {
    background-color: rgba(179, 177, 185, 0.7);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.cartao .informacoes .nome {
    color: #f1ecff;
    font-size: 22px;
}

.cartao .informacoes .vida {
    background-color: #333;
    color: #f1ecff;
    padding: 6px 10px;
    border-radius: 20px;
}

.cartao .container-imagem {
    text-align: center;
}

.cartao .imagem-pokemon {
    max-width: 100%; /*Para quando se usar imagens muito grandes*/
    max-height: 280px;
    padding: 20px;
}

.cartao .descricao {
    background: rgba(255, 255, 255, 0.8);
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.cartao .descricao .titulo {
    background-color: #333;
    color: #f1ecff;
    font-size: 15px;
    padding: 12px;
}

.cartao .descricao .texto {
    font-size: 14px;
    padding: 12px;
    text-align: justify;
    max-height: 115px;
    overflow-y: auto; /*Evita que o texto da descrição transborde do container*/
}